play.classloading.enhancers

## Class ControllersEnhancer

- java.lang.Object
- - play.classloading.enhancers.Enhancer
  - - play.classloading.enhancers.ControllersEnhancer

    public class ControllersEnhancer
    extends Enhancer

Enhance controllers classes.

### Nested Class Summary

Nested Classes
`static interface` `ControllersEnhancer.ByPass`
`static class` `ControllersEnhancer.ControllerInstrumentation` Runtime part needed by the instrumentation
`static interface` `ControllersEnhancer.ControllerSupport` Mark class that need controller enhancement

### Nested classes/interfaces inherited from class play.classloading.enhancers.Enhancer

`Enhancer.ApplicationClassesClasspath`

### Field Summary

Fields
`static java.lang.ThreadLocal<java.util.Stack<java.lang.String>>` `currentAction`

### Fields inherited from class play.classloading.enhancers.Enhancer

`classPool`

### Constructor Summary

Constructors
Constructor and Description
`ControllersEnhancer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)` The magic happen here...

### Methods inherited from class play.classloading.enhancers.Enhancer

`createAnnotation, createAnnotation, getAnnotations, getAnnotations, getAnnotations, hasAnnotation, hasAnnotation, hasAnnotation, makeClass, newClassPool`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentAction

    public static final java.lang.ThreadLocal<java.util.Stack<java.lang.String>> currentAction

### Constructor Detail

#### ControllersEnhancer

    public ControllersEnhancer()

### Method Detail

#### enhanceThisClass

    public void enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)
                          throws java.lang.Exception

Description copied from class: `Enhancer`
The magic happen here...

Specified by:
  `enhanceThisClass` in class `Enhancer`
Parameters:
  `applicationClass` - The application class to construct
Throws:
  `java.lang.Exception` - if problem occurred during construction